Class | Chef::Provider::Mount::Mount
In: | lib/chef/provider/mount/mount.rb
Parent: | Chef::Provider::Mount

### Methods

device_should_exist? disable_fs enable_fs enabled? load_current_resource mount_fs mountable? mounted? new remount_fs umount_fs

### Included Modules

Chef::Mixin::ShellOut

### Attributes

real_device | [RW] |

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

device_should_exist?()
disable_fs()
enable_fs()
enabled?()
load_current_resource()
mount_fs()
mountable?()
mounted?()
remount_fs()
umount_fs()

[Validate]